( function() {
	var assignImages = {
		exec: function( editor ) {
			editor.assignImages();
		}
	};
	var assignFiles = {
		exec: function( editor ) {
			editor.assignFiles();
		}
	};

	var pluginName = 'panelnavigation';

	CKEDITOR.plugins.add(pluginName, {
		icons: 'save',
		init: function(editor) {
			var command = editor.addCommand('assignImages', assignImages );
			var command = editor.addCommand('assignFiles', assignFiles );

			editor.ui.addButton('Image', {
				label: 'Insert Image',
				command: 'assignImages',
    			toolbar: 'insert'
			} );
			editor.ui.addButton('Files', {
				label: 'Insert File',
				command: 'assignFiles',
    			toolbar: 'insert'
			} );
		}
	} );
} )();
